Subject: [ETI Informal All 1AD.05.08.06] Abrahams Descendents as Numerous as the Dust
From: "James R @ ETIMin" <[email-masked]>
To: "Lists @ ETI Min" <[email-masked]>
Date: Wed, 31 Aug 2005 20:01:20 +0200

Greetings

While reading last night I was struck by the following verses:

Genesis 13:14-16
14 And Yah the eternally self existing {the LORD} said unto Abram, after that Lot was separated from him, Lift up now thine eyes, and look from the place where thou art northward, and southward, and eastward, and westward:
15 For all the land which thou seest, to thee will I give it, and to thy seed for ever.
16 And I will make thy seed as the dust of the earth: so that if a man can number the dust of the earth, then shall thy seed also be numbered. (KJV name adjusted)

Genesis 15:4-6
4 And, behold, the word of Yah the eternally self existing {the LORD} came unto him, saying, This shall not be thine heir; but he that shall come forth out of thine own bowels shall be thine heir.
5 And he brought him forth abroad, and said, Look now toward heaven, and tell the stars, if thou be able to number them: and he said unto him, So shall thy seed be.
6 And he believed in Yah the eternally self existing {the LORD}; and he counted it to him for righteousness. (KJV, names adjusted)

The descendants of Abraham will be as the dust of the earth and the stars, in other words uncountable billions.

This is clearly not just referring to the people who are identified as "Israel" today, nor even to the Jewish people.

For these promises to be fulfilled it is necessary for generations of the current world population (3.6 billion) all to be descended from Abraham.

Consider the following:

1. There is a body of opinion that the Israelites of the northern kingdom who were exiled in the first exile of Israel were settled in Europe and ultimately became the nations of Europe and that therefore all of European descent are originally of Israel and therefore Abraham.

2. Many of the Arabic people descended from Ishmael and are therefore children of Abraham.

3. In the time of Solomon people from Israel traveled the world and probably intermingled with people around the globe.

4. If the blessings of the Almighty are on a blood line and there is a curse on another blood line then it is possible for any of the three blood flows above to result in the children of Abraham becoming dominant in every racial group in the earth.

Conclusion: It seems probable to me that most, if not all, of the people on the earth today are descendants of Abraham.

Warm regards and blessings

James Robertson